GtkDatabox: gtk/gtkdatabox_grid.c File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions
gtk/gtkdatabox_grid.c File Reference
`#include <gtkdatabox_grid.h>`
Include dependency graph for gtkdatabox_grid.c:

## Data Structures
struct | _GtkDataboxGridPrivate
## Enumerations
enum | { GRID_HLINES = 1, GRID_VLINES, GRID_HLINE_VALS, GRID_VLINE_VALS }
## Functions
GType | gtk_databox_grid_get_type (void)
GtkDataboxGraph * | gtk_databox_grid_new (gint hlines, gint vlines, GdkColor *color, guint size)
GtkDataboxGraph * | gtk_databox_grid_array_new (gint hlines, gint vlines, gfloat *local_hline_vals, gfloat *local_vline_vals, GdkColor *color, guint size)
void | gtk_databox_grid_set_hlines (GtkDataboxGrid *grid, gint hlines)
gint | gtk_databox_grid_get_hlines (GtkDataboxGrid *grid)
void | gtk_databox_grid_set_vlines (GtkDataboxGrid *grid, gint vlines)
gint | gtk_databox_grid_get_vlines (GtkDataboxGrid *grid)
void | gtk_databox_grid_set_hline_vals (GtkDataboxGrid *grid, gfloat *hline_vals)
gfloat * | gtk_databox_grid_get_hline_vals (GtkDataboxGrid *grid)
void | gtk_databox_grid_set_vline_vals (GtkDataboxGrid *grid, gfloat *vline_vals)
gfloat * | gtk_databox_grid_get_vline_vals (GtkDataboxGrid *grid)

## Enumeration Type Documentation

anonymous enum

Enumerator:

  GRID_HLINES |
  GRID_VLINES |
  GRID_HLINE_VALS |
  GRID_VLINE_VALS |

## Function Documentation

GtkDataboxGraph* gtk_databox_grid_array_new | ( | gint | hlines,
|  | gint | vlines,
|  | gfloat * | local_hline_vals,
|  | gfloat * | local_vline_vals,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_grid_array_new: : number of horizontal lines in the grid : number of vertical lines in the grid : a pointer to an array of gfloat horizontal grid coordinate : a pointer to an array of gfloat vertical grid coordinate : color of the grid : line width of the grid

Creates a new GtkDataboxGrid object which can be added to a GtkDatabox widget as nice decoration for other graphs.

Return value: A new GtkDataboxGrid object

gfloat* gtk_databox_grid_get_hline_vals | ( | GtkDataboxGrid * | grid | ) |

gtk_databox_grid_get_hline_vals: : a GtkDataboxGrid graph object

Gets the pointer to the horizontal line values for the .

Return value: Pointer to the horizontal line values for the .

gint gtk_databox_grid_get_hlines | ( | GtkDataboxGrid * | grid | ) |

gtk_databox_grid_get_hlines: : a GtkDataboxGrid graph object

Gets the number of horizontal lines in the .

Return value: Number of horizontal lines in the .

GType gtk_databox_grid_get_type | ( | void |  | ) |

gfloat* gtk_databox_grid_get_vline_vals | ( | GtkDataboxGrid * | grid | ) |

gtk_databox_grid_get_vline_vals: : a GtkDataboxGrid graph object

Gets the pointer to the vertical line values for the .

Return value: Pointer to the vertical line values for the .

gint gtk_databox_grid_get_vlines | ( | GtkDataboxGrid * | grid | ) |

gtk_databox_grid_get_vlines: : a GtkDataboxGrid graph object

Gets the number of vertical lines in the .

Return value: Number of vertical lines in the .

GtkDataboxGraph* gtk_databox_grid_new | ( | gint | hlines,
|  | gint | vlines,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_grid_new: : number of horizontal lines in the grid : number of vertical lines in the grid : color of the grid : line width of the grid

Creates a new GtkDataboxGrid object which can be added to a GtkDatabox widget as nice decoration for other graphs.

Return value: A new GtkDataboxGrid object

void gtk_databox_grid_set_hline_vals | ( | GtkDataboxGrid * | grid,
|  | gfloat * | hline_vals
| ) |  |

gtk_databox_grid_set_hline_vals: : a GtkDataboxGrid graph object : sets the pointer to the hline values for the grid

Sets the pointer to the horizontal lines in the .

void gtk_databox_grid_set_hlines | ( | GtkDataboxGrid * | grid,
|  | gint | hlines
| ) |  |

gtk_databox_grid_set_hlines: : a GtkDataboxGrid graph object : number of vertical lines in the grid

Sets the number of horizontal lines in the .

void gtk_databox_grid_set_vline_vals | ( | GtkDataboxGrid * | grid,
|  | gfloat * | vline_vals
| ) |  |

gtk_databox_grid_set_vline_vals: : a GtkDataboxGrid graph object : sets the pointer to the vline values for the grid

Sets the pointer to the vertical lines in the .

void gtk_databox_grid_set_vlines | ( | GtkDataboxGrid * | grid,
|  | gint | vlines
| ) |  |

gtk_databox_grid_set_vlines: : a GtkDataboxGrid graph object : number of vertical lines in the grid

Sets the number of vertical lines in the .

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines